/// <reference types="node" />
import { ChildProcessWithoutNullStreams } from 'child_process';
import type { Capabilities, Options } from '@wdio/types';
import type { ServiceOptions } from './types';
export default class ChromeDriverLauncher {
    protected options: {
        protocol: 'http' | 'https';
        hostname: string;
        port: number;
        path: string;
    };
    protected outputDir?: string;
    protected logFileName: string;
    protected capabilities: Capabilities.Capabilities;
    protected args: string[];
    protected chromedriverCustomPath?: string;
    private process?;
    constructor(options: ServiceOptions, capabilities: Capabilities.Capabilities, config: Options.Testrunner);
    onPrepare(): Promise<void>;
    onComplete(): void;
    _redirectLogStream(process: ChildProcessWithoutNullStreams, outputDir: string): void;
    _mapCapabilities(): void;
    _getChromedriverPath(): Promise<string>;
}
//# sourceMappingURL=launcher.d.ts.map