import path from 'node:path';
const FILE_EXTENSION_REGEX = /\.[0-9a-z]+$/i;
export default function getFilePath(filePath, defaultFilename) {
    let absolutePath = path.resolve(filePath);
    if (!FILE_EXTENSION_REGEX.test(path.basename(absolutePath))) {
        absolutePath = path.join(absolutePath, defaultFilename);
    }
    return absolutePath;
}
